import request from '@/utils/request'

// 查询党支部信息列表
export function listInformation(query) {
    return request({
        url: '/crmPartyBranchInformation/findByPage',
        method: 'get',
        params: query
    })
}

// 查询党支部信息详细
export function getInformation(id) {
    return request({
        url: '/crmPartyBranchInformation/' + id,
        method: 'get'
    })
}

// 新增党支部信息
export function addInformation(data) {
    return request({
        url: '/crmPartyBranchInformation',
        method: 'post',
        data: data
    })
}

// 修改党支部信息
export function updateInformation(data) {
    return request({
        url: '/crmPartyBranchInformation',
        method: 'put',
        data: data
    })
}

// 删除党支部信息
export function delInformation(id) {
    return request({
        url: '/crmPartyBranchInformation/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delInformationBatch(ids) {
    console.log(ids);
    return request.post('/crmPartyBranchInformation/delete',ids)
}